
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Exchange 2013 PowerShell关键概念之一 / 憋错料</title>

    <meta name="description" content="Exchange 2013 PowerShell关键概念之一 介绍 当你的组织决定升级到Exchange Server 2013,去体验一些新的功能,如集成的电子邮件存档.发现功能以及高可用功能.不管你是否喜欢,你应该意识到PowerShell已经是Exchange服务器管理工具的一部分,而且你需要去学习一些基本脚本知识,从而建立一些脚本管理Exchange Server.这本书就是关于这方面的介绍.在这一章,将介绍一些PowerShell的一些核心概念,这些概念讲方便你学习这本书中提到的一些实例知识.当然,假如你的PowerShell比较熟悉,可以跳过本">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">Exchange 2013 PowerShell关键概念之一</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p>介绍</p>
<p>当你的组织决定升级到Exchange Server 2013，去体验一些新的功能，如集成的电子邮件存档、发现功能以及高可用功能。不管你是否喜欢，你应该意识到PowerShell已经是Exchange服务器管理工具的一部分，而且你需要去学习一些基本脚本知识，从而建立一些脚本管理Exchange Server。这本书就是关于这方面的介绍。在这一章，将介绍一些PowerShell的一些核心概念，这些概念讲方便你学习这本书中提到的一些实例知识。当然，假如你的PowerShell比较熟悉，可以跳过本章或者复习下PowerShell的基本知识</p>
<p>PowerShell采用的基于NET Framework的对象模型，对象的传递是通过管道传递的，而不是纯文本。例如，在Exchange中，我们可以通过对象访问到非常详细的信息，例如：邮箱服务器、邮箱、数据库等。例如，你使用PowerShell对每个邮箱进行管理，邮箱就是一个对象，而这个对象有很多的属性，如：电子邮件地址、数据库位置、发送接受限制等。所以，我们可以建立一些脚本，获取这些信息，并生成报告或帮助我们完成日常维护工作。</p>
<h2>执行一些基本的步骤</h2>
<p>在本章的实例代码中，根据如下步骤启动EMS</p>
<p>1、&nbsp; 登陆安装了Exchange管理工具的工作组或者服务器</p>
<p>2、&nbsp; 假如你的计算机没有安装Exchange管理工具，可以通过远程PowerShell进行连接</p>
<p>$Session = New-PSSession -ConfigurationName Microsoft.Exchange `</p>
<p>-ConnectionUri http://mbx01/PowerShell/ `</p>
<p>-Authentication Kerberos `</p>
<p>Import-PSSession $Session</p>
<p>3、&nbsp; 要打开Exchange Management Shell，依次执，行如下步骤：开始à所有程序àMicrosoft Exchange Server 2013，假如你使用的Windows Server 2012，你可以通过按下Windows 键在Metro界面中找到Exchange Management Shell图标</p>
<p>4、&nbsp; 点击图标即可打开Exchange Management Shell命令行管理工具</p>
<p>注意：当我们启动Exchange Management Shell时，记得以管理员的身份运行，以免一些权限问题引起不必要的权限问题</p>
<p>这这一章中，应该注意到刚才的例子中，使用了重音符号进行换行，这样做的目的就是为了方便阅读</p>
<h2>使用帮助系统</h2>
<p>在Exchange Server 2013中，Exchange Management Shell超过了750条命令，而每一组都有很多的参数。例如：New-Mailbox 接受60多个参数，而Set-Mailbox更是超过160个可用参数，这么多的参数，我们是不可能一一记住的，所以我们需要使用的帮助系统。</p>
<p>那么，怎么使用我们的帮汉族系统呢？</p>
<p>获取一个命令的帮助信息，我们可以在Exchange Management Shell（后面简称EMS控制台）中，输入：Get-Help CmdletName。例如，我们要获取Get-Mailbox命令的帮助信息，我们可以使用如下命令：</p>
<p>Get-Help Get-Mailbox –full</p>
<p>你也可以使用下面的开关参数获取特定的信息：</p>
<p>Get-Help cmdlet</p>
<p>Detailed:详细视图提供了参数的说明和实例，可以使用如下语法：</p>
<p>Get-Help &lt;cmdletname&gt;&nbsp; -Detailed</p>
<p>Examples:你可以看到多个使用此命令的实例，可以使用如下如法：</p>
<p>Get-Help &lt;cmdletname&gt; -Examples</p>
<p>Full:使用此参数可以查看到帮助文件的完整内容，语法如下：</p>
<p>Get-Help &lt;cmdletname&gt; -Full</p>
<p>一些参数接受简单的字符串作为输入，但也有一些需要一个实际的对象。当我们在创建一个邮箱使用Ner-Mailbox时，我们需要提供一个安全的针对密码参数的字符串对象。可以通过如下命令，来确定这个参数的数类型：</p>
<p>Get-Help New-Mailbox –Parameter Password</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczMuNTFjdG8uY29tL3d5ZnMwMi9NMDAvNTgvRUQvd0tpb0wxVEJEV2VSSXN5Y0FBSU1YNjR3WThnMTQ3LmpwZw==.jpg" /></p>
<p>在输出结果中，可以看到几个关键信息的密码参数，除了看到-Password所需数据类型为&lt;SecureString&gt;，也可以看到这是一个命名参数。命名参数是指在运行New-Mailbox时，是不接受通配符的。你也可以使用此实例中的语法查看其他cmdlet命令支持的参数设置。</p>
<p>你可以运行Get-Help New-Mailbox –Examples 看如何新建一个邮箱，关于新建，修改和删除邮箱我们统一在第三章讲解</p>
<h2>更多命令实例</h2>
<p>也许，当你不知道一个命令的全名时，我们也可以通过命令进行搜索，例如：</p>
<p>Get-command *Mailbox*</p>
<p>你也可以使用一个-Verb Parameter去找到所有以这个特定动词开头的参数，例如：</p>
<p>Get-command –Verb Set</p>
<p>搜索一个特定的名词，可以指定名词参数，格式如下：</p>
<p>Get-Command –Noun Mailbox</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczMuNTFjdG8uY29tL3d5ZnMwMi9NMDAvNTgvRUYvd0tpb20xVEJESkN4OGhXWUFBRktRTUFmZGZjOTM4LmpwZw==.jpg" /></p>
<p>其它帮助命令格式：</p>
<p>Get-help about_Core_Commands</p>
<p>Get-Help about_*</p>
<h2>使用命令和功能获取帮助</h2>
<p>首先，我们可能对于命令和功能容易混淆。当启动Exchange Management Shell，一个远程的PowerShell Session被初始化到Exchange服务器和特定的命令，这个被称为功能代理，被导入到Shell Session中。这些代理的功能就是代码块，如Get-Mailbox，对应的编译命令安装在服务器上。</p>
<p>当你从Shell中运行Get-Mailbox功能时，数据是通过PowerShell Session在客户端机器（运行控制台的机器）和服务器之间传递的。Get-Mailbox命令实际是运行在远程的Exchange服务器上，而结果传递到了我们的控制台，这样的好处就是我们可以在远程的计算机上操作相应的命令，特别对于一些云端的服务器来说，更能带来便利。</p>
<p>考虑下下面的命令和输出：</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczMuNTFjdG8uY29tL3d5ZnMwMi9NMDEvNTgvRUQvd0tpb0wxVEJEV2pTRGJUcEFBQ2pLOG1DYy1VOTg0LmpwZw==.jpg" /></p>
<p>同样的，我们可以试试Get-Mailbox命令</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczMuNTFjdG8uY29tL3d5ZnMwMi9NMDEvNTgvRUYvd0tpb20xVEJESkN6SEdlTEFBQ2d2clFPV21BMTM5LmpwZw==.jpg" /></p>
<p>在这里，我们应该可以看到，Get-Mailbox在上面的命令框中显示的是一个功能。我们在后续能够命令的过程中，对于Exchange这么多的命令，我们要充分利用到帮助系统，多使用Get-Help命令，假如对于一些命令记不住全名，我们也可以通过搜索的方式先找出命令，如使用get-Command ，然后使用帮助系统查找用法</p>
<h2>了解命令的语法和参数</h2>
<p>Windows PowerShell提供了大量内置的命令执行特定的操作。Exchange Management Shell额外增了针对Exchange管理的一个命令集。我们可以使用这些命令对Exchange进行管理，也可以编写一些脚本进行自动化管理。</p>
<p>当执行命令的时候，参数可以用来提供具体的信息，例如邮箱或者服务器，我们可以指定修改哪些属性。在这一节中，我们先来了解下基本的PowerShell语法以及怎么使用这些参数</p>
<p>当我们运行一条PowerShell命令时，我们输入命令，然后跟一些参数，参数前面加一个连字符（-）。下面先来看看一些基本的例子。获取一个指定用户的邮箱信息，使用一下的语法命令：</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczMuNTFjdG8uY29tL3d5ZnMwMi9NMDIvNTgvRUQvd0tpb0wxVEJEV2l3b2h1MEFBQ3NESUM5aHk4MTIyLmpwZw==.jpg" /></p>
<p>另外，我们也可以使用下面的命令输出相同的结果，因为-Identity参数是位置参数</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczMuNTFjdG8uY29tL3d5ZnMwMi9NMDIvNTgvRUYvd0tpb20xVEJESkdBZjFFQ0FBQ205TnJncUFrMDc2LmpwZw==.jpg" /></p>
<p>大多的命令支持在一条命令中支持多个参数，例如我们使用如下的命令对邮箱账户进行两处属性修改：</p>
<p>Set-Mailbox –Identity robin.pang –MaxSendSize 10mb –MaxReceiveSize 20mb</p>
<h2>其它命令：</h2>
<p>Get-SendConnector</p>
<p>Set-SendConnector “To Internet” –Enabled $false</p>
<p>Enable-Mailbox robin.pang –Archive</p>
<p>Get-Mailbox –Database RDB01 | Remove-Mailbox –WhatIf</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczMuNTFjdG8uY29tL3d5ZnMwMi9NMDAvNTgvRUQvd0tpb0wxVEJEV2lBSl9mWkFBSm1iSlktUGtRMzUwLmpwZw==.jpg" /></p>
<p>当你做一些修改，例如：你要移除一个邮箱账户的时候，你会被提示要求确认，例如：</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczMuNTFjdG8uY29tL3d5ZnMwMi9NMDAvNTgvRUYvd0tpb20xVEJESkhBWkZ0MEFBRDh6eUZwVG9ZODE4LmpwZw==.jpg" /></p>
<p>当然，我们执行如下操作就不会得到提示确认了，</p>
<p>Remove-Mailbox robin.pang –Confirm:$false</p>
<p>设定一些邮箱用户的属性：</p>
<p>Set-Mailbox –identity robin.pang –office Sales</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczMuNTFjdG8uY29tL3d5ZnMwMi9NMDEvNTgvRUYvd0tpb20xVEJETEtoQ2ZaeEFBQ0JsZUR1cEVjMTYzLmpwZw==.jpg" /></p>
<p>到AD中查看用户的属性，可以看到：办公室已经更改为Sales了</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczMuNTFjdG8uY29tL3d5ZnMwMi9NMDEvNTgvRUQvd0tpb0wxVEJEWW5EbXJHZEFBR1hjWFNRcXVNNjA3LmpwZw==.jpg" /></p>
<h2>更多命令：</h2>
<p>Get-Mailbox –OrganizationalUnit ‘corp.robin.com/VIPLAB/集团总部/技术中心’</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczMuNTFjdG8uY29tL3d5ZnMwMi9NMDEvNTgvRUYvd0tpb20xVEJETEt4bUN5R0FBRUJEcnZhdm9zNDM2LmpwZw==.jpg" /></p>
<p>我们也可以在命令行中使用变量(这里需要注意的是，第二条命令的双引号)：</p>
<p>$DepartmentOU = ‘行政部’</p>
<p>Get-Mailbox –OrganizationalUnit “corp.robin.com/VIPLAB/集团总部/$DepartmentOU”</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczMuNTFjdG8uY29tL3d5ZnMwMi9NMDIvNTgvRUQvd0tpb0wxVEJEWXJnMW9POUFBRDJES1NfZl9rNjcwLmpwZw==.jpg" /></p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-29 17:28:43 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.biecuoliao.com/tag/exchange-server-2013-powershell-%e5%b8%ae%e5%8a%a9%e7%b3%bb%e7%bb%9f-%e5%91%bd%e4%bb%a4-%e7%ae%a1%e7%90%86-%e4%bc%91%e9%97%b2/" title="exchange server 2013 powershell 帮助系统 命令 管理 休闲">exchange server 2013 powershell 帮助系统 命令 管理 休闲</a>        </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>Exchange 2013 PowerShell关键概念之一的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3ODxzK4.html" rel="bookmark">Exchange 2013 PowerShell管理联系人&amp;通讯组&amp;资源邮箱</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				管理联系人 创建联系人,使用如下语法: New-MailContact -Alias rjones ` -Name &quot;Rob Jones&quot; ` -ExternalEmailAddress [email protected] ` -OrganizationalUnit sales 已启用邮箱的用户可以使用如下语法: New-MailUser -Name 'John Davis' ` -Alias jdavis ` -UserPrincipalName [email protected]			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MPwzpz4.html" rel="bookmark">Exchange 2013 PowerShell新建&amp;修改&amp;删除邮箱</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在我们日常使用Exchange Management Shell最多的应该就是邮箱的管理了.在这一节中,将主要介绍下在Exchange中使用语法命令在组织中创建.更新和删除邮箱. 先来看一个示例: 1.  我们可以使用Exchange Management Shell创建一个启用了邮箱功能的AD账户.语法如下: $password = ConvertTo-SecureString -AsPlainText abc.123 -Force New-Mailbox -UserPrincipalName			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3rZXRq3.html" rel="bookmark">Exchange 2013 PowerShell 传输文件及并行管道</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				自从Exchange 2013管理Shell命令是通过远程PowerShell会话执行,导入和导出文件需要一个新的特定参数.大概有上百个Shell命令需要用到,那么这一小节,我们就看看如何使用这些参数通过远程Shell连接进行传输文件的. 传输文件工作方式: 假如你正在当前活动目录站点中创建一个边缘订阅中心到传输服务器.当你在边缘服务器上生成了xml文件后,你可以通过New-EdgeSubscription命令,具体语法如下: [byte[]]$data = Get-Content -Path			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4QwVDe0.html" rel="bookmark">Exchange 2013 PowerShell手动配置远程PowerShell连接</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				介绍 在Exchange 2007的时候,微软就推出了一套全新的基于Shell的管理工具:PowerShell V1,而且所有的图形化界面也是建立在这种技术之上的. 到了Exchange 2010,PowerShell更紧密的集成在产品中,Exchange 2010使用的是PowerShell V2,很大程度上依赖于其新的远程架构.即使你的服务器在本地或云端,都可以方便的使用这套管理工具. 在Exchange 2013中,使用的是PowerShell V3,有了更多的命令以及核心功能改变.在20			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MyW7Rp3.html" rel="bookmark">Exchange 2013 PowerShell数组和哈希表</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				示例: 你可以使用一个变量来存放一个数组,通过这个数组对变量分配多个值,在值之间,值需要用分隔号隔开,下面来创建一个示例: $servers = &quot;EX1&quot;,&quot;EX2&quot;,&quot;EX3&quot; 创建一个空的哈希表,可以使用如下语法: $hashtable = @{} 创建完哈希表后,我们可以对它进行赋值: $hashtable[&quot;server1&quot;] = 1 $hashtable[&quot;server2&quot;] = 2 $hash			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/35A9BE3.html" rel="bookmark">Exchange 2013 PowerShell管理域或整个林的收件人范围</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Exchange管理工具可以配置为使用特定的部分活动目录层次结构使用特定的收件人范围.当你设置收件人范围为活动目录中的一个位置,例如一个域或者一个组织单元,Exchange Management Shell仅仅允许你查看指定范围内的收件人信息.在这一节,我们来看看使用Exchange Management Shell如何设定收件人范围. 如何做到这一点呢? 可以在Exchange Management Shell中使用Set-AdServerSettings命令来设置一个收件人范围.例如,设置当			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3qvX954.html" rel="bookmark">Exchange 2013 PowerShell创建自定义对象</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				PowerShell是一个基于对象的Shell,在写一行程序,脚本和函数时,給了我们很大的灵活性.当生成详细的报告时,我们需要从代码中自定义我们的数据输出,或者可以通过管道输送到其它的命令.我们还需要能够控制和定制代码的输出,这样我们可以合并来自多个源的数据到一个单独的对象.在这一节中,我们将学习下基本的构建定制的对象 首先我们要做的时创建一个邮箱对象的集合,将用来作为一组新的自定义对象的数据源: $mailboxes = Get-Mailbox 可以添加自定义的属性用于后续整个管道的对象属性,			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MPDqKvM.html" rel="bookmark">Exchange 2013 PowerShell创建自定义脚本</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				我们可以通过执行单条命令或者结合管道运行多条命令来完成很多任务,但是有时你想创建一个脚本,执行一系列的操作或者加载一个函数库或者预定义变量或别名在Shell中,这一节,我们将学习创建脚本以及运行脚本 怎么做呢? 1.  让我们创建一个基本的脚本,来自动执行一个多步骤的过程.启用文本编辑器,输入如下代码: param( $name, $maxsendsize, $maxreceivesize, $city, $state, $title, $department ) Set-Mailbox -Id			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MXn85X3.html" rel="bookmark">Exchange 2013 PowerShell发送SMTP邮件</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				作为一个Exchange管理员,我们可能需要使用PowerShell脚本自动化的发送电子邮件.下面一起学习下如何使用PowerShell脚本在你的组织中发送SMTP电子邮件信息. 怎么做到这点呢? PowerShell V2以及后续版本都提供了核心命令可以通过SMTP发送电子邮件信息.使用下面的语法可以发送一份电子邮件信息: Send-MailMessage -To [email protected] ` -From [email protected] ` -Subject &quot;Test E-ma			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3vEBjj0.html" rel="bookmark" class="title">安装 Linux 内核 4&period;0</a>
					<div>
						大家好,今天我们学习一下如何从Elrepo或者源代码来安装最新的Linux内核4.0.代号为‘Hurr durr I'm a sheep’的Linux内核4.0是目前为止最新的主干内核.它是稳定版3. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3OmdXPM.html" rel="bookmark" class="title">微信开发学习笔记之五（CI框架 常用封装）</a>
					<div>
						&lt;?php /** * 微信开发 大体框架及 常用函数 */ class yougame extends CI_controller{ $this-&gt;_debug = true; /*这个 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MDRpOe3.html" rel="bookmark" class="title">HDU 4380 Farmer Greedy 计算几何&plus;bitset</a>
					<div>
						枚举直线,对于直线的某个点在直线的左端还是右端,可以状压出一个数,用bitset记录. 然后三角形就是3个bitset&amp;一下 #include &lt;cstdio&gt; #include  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0aD61QM.html" rel="bookmark" class="title">Edit Distance&lpar;动态规划，难&rpar;</a>
					<div>
						Given two words word1 and word2, find the minimum number of steps required to convert word1 to word2 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0en2Da3.html" rel="bookmark" class="title">我用ASP&period;NET缓存之SQL数据缓存依赖&lpar;SqlCacheDependency&rpar;</a>
					<div>
						[名词解释] 缓存(Cache)依赖,大白话解释就是缓存是否更新依赖于其它Object.那么SqlCacheDependency指的就是Cache的数据更新依赖于SQL Server数据库表的变化(  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3ZDAxZM.html" rel="bookmark" class="title">天天写业务代码，如何成为技术大牛</a>
					<div>
						前序 在工作之余浏览公司的技术网站,看到了以下这篇文章,细细读来真心觉得不错,写得有价值很实在.于是想联系下作者,问一下是否可以转载.打开钉钉一搜,作者是资深技术专家,差不多就是技术总监级别啊,这也从 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MBamzq4.html" rel="bookmark" class="title">&lbrack;ExtJS5学习笔记&rsqb;第二十九节 sencha ext js 5&period;1&period;0中动态更换皮肤主题</a>
					<div>
						本文地址:http://blog.csdn.net/sushengmiyan/article/details/42016107 本文作者:sushengmiyan ------------------ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0xrxDD4.html" rel="bookmark" class="title">设计模式 模版方法模式 展现程序员的一天</a>
					<div>
						转载请标明出处:http://blog.csdn.net/lmj623565791/article/details/26276093 继续设计模式~ 模版方法模式 老套路,先看下定义:定义了一个算法的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MmoddD3.html" rel="bookmark" class="title">想你被撤销说的话新出的</a>
					<div>
						﻿﻿ http://imgur.com/Tqjpo2F http://imgur.com/3tD5FWS http://imgur.com/qZAeMFW http://imgur.com/pFoKK ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0lkKgLM.html" rel="bookmark" class="title">解决linux下root运行Elasticsearch异常</a>
					<div>
						在CentOS 6.5 上运行Elasticsearch 2.3,异常如下: Exception in thread &quot;main&quot; java.lang.RuntimeExcepti ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MWqLYB3.html" rel="bookmark" class="title">重启Apache报错</a>
					<div>
						重启Apache报错,如图所示:server: /etc/httpd/modules/mod_jk.so: wrong ELF class: ELFCLASS64 解决方法					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0k9LN74.html" rel="bookmark" class="title">Grid&lowbar;Oracle Grid单节点安装ASM和Instance（案例）</a>
					<div>
						2014-07-08 Created By BaoXinjian Thanks and Regards http://blog.itpub.net/21471457/viewspace-1114903 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MLvawQ3.html" rel="bookmark" class="title">MySQL 查询语句练习1</a>
					<div>
						1.创建成绩表,字段包括:学生姓名,语文成绩,数学成绩,英语成绩 向表中插入多条数据: 查询: (1) 查询所有学生的数学成绩和总成绩 (2) 查询所有学生的语文和数学成绩和,按从高到低排序 (3)  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0azwkk3.html" rel="bookmark" class="title">软件开发心得</a>
					<div>
						拿到需求并确定在已经充分正确理解现有需求后,不要着急写代码,拿出集中的时间做prepare: 在第一张白纸的上方写下&quot;该需求特性的正常流程和影响范围&quot;,然后在白纸下方逐条开始写下该 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3rBQKa3.html" rel="bookmark" class="title">惠普 hpacucli工具使用</a>
					<div>
						命令组成 hpacucli [parameter=value] 查看: 查看所有控制器状态  hpacucli ctrl all show 查看slot 0阵列信息详细状态 (可以查看物理磁盘和逻辑磁 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3wpZEY4.html" rel="bookmark" class="title">使用jmeter测试数据库性能</a>
					<div>
						出现如图所示的问题 解决办法: 1.下载驱动包,将mysql-connector-Java.jar分别放到Jmeter和Java安装目录的lib和ext目录下 链接:http://pan.baidu. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0lDOzp0.html" rel="bookmark" class="title">自定义相机（一） --  预览视频流</a>
					<div>
						实现功能: 自定义视频流,实时预览. 运行环境: 1.  XCODE 5.1.1 2.  真机(IPHONE5  ,  IOS6.1.4) #import &lt;UIKit/UIKit.h&gt;  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MgQpJO3.html" rel="bookmark" class="title">通过js实现置顶方法</a>
					<div>
						&lt;!DOCTYPE html PUBLIC &quot;-//W3C//DTD XHTML 1.0 Transitional//EN&quot; &quot;http://www.w3.org/ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MLQRZy0.html" rel="bookmark" class="title">asterisk-java ami4 一些基本功能的例子</a>
					<div>
						比如:挂机,拨号,拨外线,保留通话,示闲,示忙等等.... 在api中可以获得这些方法说明 /**  * 给分机挂机  * @param Extension 要挂机的分机号  * @return  * ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0k2OAdM.html" rel="bookmark" class="title">水晶报表助手</a>
					<div>
						公司项目中的报表多是用水晶报表生成的.项目中水晶报表的填充数据源都是使用的DataSet或DataTable(这样很麻烦.很费时的,我暗暗想.).我负责的模块也有大量的报表,想到的第一件事是使用.NE ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 11 q. 0.023 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
